Get Subtask Templates

Retrieve subtask templates.

Pagination

  • Offset-based pagination and Page-based pagination is supported.
  • Offset-based pagination is achieved by passing "start" and "limit" query parameters. For example: GET /workflow/v1/templates/task/items/{taskTemplateId}/subtasks?start=0&limit=20
  • Page-based pagination is achieved by passing "page" and "size" query parameters. For example: GET /workflow/v1/templates/task/items/{taskTemplateId}/subtasks?page=0&size=20
Path Params
string
required

Unique identifier of the task template from which to retrieve subtasks.

Query Params
string

Association Entity Id

string

Association Entity Type

string

Authorization Entity Id

string

Authorization Entity Type

string

Authorization Relationship

string

Subtask template category

string

The subtask template creation date from which the query start from and returning up to current date. (Date Format MM-DD-YYYY)

string

The subtask template creation date from which to start the query. (Date Format MM-DD-YYYY)

string

The subtask template creation date from which to end the query. (Date Format MM-DD-YYYY)

integer

The maximum number of entities to return as part of the collection.

integer

Zero-based indicator of the page.

boolean

Specify True to indicate partial properties to be returned in the query. The default is False.

string

Comma-separated list of partial properties to be returned. Only applicable if partial is set to True.

integer

Priority number of the subtask template.

string

Relationship of association.

integer

The maximum number of entities to return as part of the page.

integer

Zero-based indicator of first collection entity.

string

Comma-separated list of tags.

Headers
string

Bearer token

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Choose an example:
application/json